#!/bin/bash

if [ -z "${PYTHON_VERSIONS}" ]; then
	echo "Error: Set PYTHON_VERSIONS before running this script!"
	echo " e.g. export PYTHON_VERSIONS='cp34-cp34m cp35-cp35m cp36-cp36m'"
	exit 1
fi

echo "#########################################################"
echo "# Building wheel"
echo "#########################################################"

for PY_VERSION in ${PYTHON_VERSIONS}; do
	echo "---------------------------------------------------------"
	echo "- Python ${PY_VERSION}"
	echo "---------------------------------------------------------"
	/opt/python/${PY_VERSION}/bin/pip wheel --verbose -w wheelhouse/ .
done

echo "#########################################################"
echo "# Auditwheel repair"
echo "#########################################################"

# Convert linux platform tags to manylinux
for whl in wheelhouse/sortednp-*.whl; do
	echo "---------------------------------------------------------"
	echo "- Wheel ${whl}"
	echo "---------------------------------------------------------"
    auditwheel repair "$whl"
done
