ARG PYTHON_VERSION=3.12

FROM python:${PYTHON_VERSION}

RUN apt-get update && apt-get install -y \
    cmake \
    && rm -rf /var/lib/apt/lists/*

RUN cd /opt \
    && curl -LO https://github.com/google/googletest/archive/refs/tags/v1.14.0.tar.gz \
    && tar -xf v1.14.0.tar.gz \
    && rm v1.14.0.tar.gz \
    && mv googletest-1.14.0 googletest


RUN mkdir /opt/googletest/build \
    && cd /opt/googletest/build \
    && cmake -DBUILD_SHARED_LIBS=ON .. \
    && make \
    && make install \
    && ldconfig